<?xml version="1.0" encoding="GB2312"?>
<Config>
	<FacesrEnbale>1</FacesrEnbale>
	<UseFaceSR>0</UseFaceSR>
	<UseFaceSRBokeh>1</UseFaceSRBokeh>  <!-- facesr switch for Bokeh -->
	<OneFaceSR>1</OneFaceSR>			<!-- 1:Only one face for FaceSR -->
	<OneScaleT>1.5</OneScaleT>			<!-- The threshold between the first two faces -->
	<MinFaceSize>100</MinFaceSize>  	<!-- <MinFaceArea>120000</MInFaceArea> -->
	<MaxFaceSize>8000</MaxFaceSize>  	<!-- <MaxFaceArea>1920000</MaxFaceArea> -->
	<FaceRatio>1.334</FaceRatio>
	<MaxFaceTime>1500</MaxFaceTime>
	<ISOLimit>500</ISOLimit>
	<CalcMethod>0</CalcMethod>  		<!-- 0 represents for running on mobiles£»1 represents for running on server-->
	<ipuSubfix>.om</ipuSubfix>
	<Network2x>idndeblur_5432_26000</Network2x>
	<Weights2x>idndeblur_5432_26000</Weights2x>
	<Network4xLow>idndeblur_5432_26000</Network4xLow>
	<Weights4xLow>idndeblur_5432_26000</Weights4xLow>
	<Network4xHigh>idndeblur_5432_26000</Network4xHigh>
	<Weights4xHigh>idndeblur_5432_26000</Weights4xHigh>
	<TransitionRatio>0.2</TransitionRatio>
	<FacePrejudgeRatio>0.0</FacePrejudgeRatio>
	<DetDarkFace>0</DetDarkFace>
	<TopHistNum>5</TopHistNum>
	<TopAvgThresh>45</TopAvgThresh>

	<useConvertColor>0</useConvertColor>
	<usefaceparsing>1</usefaceparsing>
	<faceParsingNetName>/vendor/etc/camera/cnnmodel/fairlight/HwFaceParsing</faceParsingNetName>
	<faceParsingNetInC>3</faceParsingNetInC>
	<faceParsingNetInH>256</faceParsingNetInH>
	<faceParsingNetInW>256</faceParsingNetInW>
	<faceParsingNetOutC>16</faceParsingNetOutC>
	<faceParsingNetOutH>256</faceParsingNetOutH>
	<faceParsingNetOutW>256</faceParsingNetOutW>
	<useInLandMark>1</useInLandMark>
	<maxLongEdge>2900</maxLongEdge>
	<maxShortEdge>2200</maxShortEdge>
    <maxIso>3200</maxIso> <!-- MAX iso supportted. when iso > maxIso, network is closed. -->
	<COLOR_NETWORK>
		<ColorFacesrEnable>0</ColorFacesrEnable> <!-- Color Facesr switch, 1 is Enable 0 is Closed -->
	</COLOR_NETWORK>
	<TeleFacesrNet>
		<FacesrTeleEnable>1</FacesrTeleEnable> <!-- Tele Facesr switch, 1 is Enable 0 is Closed -->
		<NetworkNum>2</NetworkNum> <!-- Tele Facesr Num -->
		<zoomTh>20</zoomTh> <!-- Threshold for tele facesr net. When zoom ratio >= zoomTh,
						     Facesr net is Enabled. zoom < zoomTh, Facesr Net is closed.-->
		<constrain>
			<constrainLvNum>3</constrainLvNum> <!--num of stages.-->
			<constrainLv0>
				<maxZoomRatio>30</maxZoomRatio> <!--when zoomRatio <= maxZoomRatio, use this level.-->
				<minFaceSzSup>384</minFaceSzSup> <!-- when faceSize w or h <  minFaceSzSup, bypass facesr.-->
			</constrainLv0>
			<constrainLv1>
				<maxZoomRatio>40</maxZoomRatio> <!--when zoomRatio <= maxZoomRatio, use this level.-->
				<minFaceSzSup>800</minFaceSzSup> <!-- when faceSize w or h <  minFaceSzSup, bypass facesr.-->
			</constrainLv1>
			<constrainLv2>
				<maxZoomRatio>50</maxZoomRatio> <!--when zoomRatio <= maxZoomRatio, use this level.-->
				<minFaceSzSup>800</minFaceSzSup> <!-- when faceSize w or h <  minFaceSzSup, bypass facesr.-->
			</constrainLv2>
		</constrain>
		<network0>
			<netname>/vendor/etc/camera/cnnmodel/facesr/facesr_v2_net1</netname>
			<inputC>1</inputC>
			<inputH>256</inputH>
			<inputW>256</inputW>
			<outputC>1</outputC>
			<outputH>256</outputH>
			<outputW>256</outputW>
		</network0>
		<network1>
			<netname>/vendor/etc/camera/cnnmodel/facesr/facesr_v2_net2</netname>
			<inputC>1</inputC>
			<inputH>512</inputH>
			<inputW>512</inputW>
			<outputC>1</outputC>
			<outputH>512</outputH>
			<outputW>512</outputW>
		</network1>
		<faceQlt>
			<FaceQltTh>0.35</FaceQltTh> <!--when faceQulityTh faceQlt from net > FaceQltTh, will run facesr.-->
			<FaceQltFaceMaskTh>0.5</FaceQltFaceMaskTh> <!--when FaceQltFaceMaskTh faceQlt from net > FaceQltFaceMaskTh, will run facesr.-->
		</faceQlt>
	</TeleFacesrNet>
	<blendParams>
		<enable>1</enable>
		<alpha>0.5</alpha>
    </blendParams>
    <isBypassMultiFace>1</isBypassMultiFace>
</Config>
